Botan 1.10.17

Public Member Functions | List of all members
Botan::Decoding_Error Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Decoding_Error:

## Public Member Functions
| Decoding_Error (const std::string &name)

## Detailed Description

Decoding_Error Exception

Definition at line 138 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Decoding_Error()

Botan::Decoding_Error::Decoding_Error | ( | const std::string & | name | ) |
| inline

Definition at line 140 of file exceptn.h.

140 :
141 Invalid_Argument("Decoding error: " + name) {}
Botan::Invalid_Argument
std::invalid_argument Invalid_Argument
Definition: exceptn.h:20

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h